#--------------------------------------------------------------
#
#              		TEMPERATURE MEASUREMENT
#	       		=======================
#
# In this program a TMP36 type analog temperature sensor chip is
# connected to analog input A0 of the NodeMCU development board.
# The program reads the temperature, converts into degrees C and
# then displays it every second.
#
#
#
# Program : 	temperature.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#---------------------------------------------------------------
from machine import ADC
import time

adc = ADC(0)

while True:
   temp = adc.read()
   mV = temp * 3300 / 1024
   Temperature = (mV - 500) / 10
   print ("Temperature = %f C" %(Temperature))
   time.sleep(1)
   

   