#--------------------------------------------------------------
#
#              		PWM WAVEFORM
#	       		============
#
# This program generates a PWM waveform on pin GPIO0 of the
# NodeMCU development board. The freuquency and duty cycle of
# the generated waveform is 500Hz and 50% respctively.
#
#
#
# Program : 	PWM.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#---------------------------------------------------------------
from machine import Pin, PWM

duty_cycle = 50
duty = int(duty_cycle * 1023 / 100)

pwm0 = PWM(Pin(0))
pwm0.freq(500)
pwm0.duty(duty)



   

   