#--------------------------------------------------------------------
#              			HTTP GET REQUEST
#	       			================
#
# This is a MicroPython function that does a HTTP GET request to get
# data from a specified web site.
#
# MyUrl must be in the form "www.xxx.xxx"
#
#
#
# Program : 	tcpip.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#------------------------------------------------------------------
import socket

def HTTP_GET(MyUrl):
   addr = socket.getaddrinfo(MyUrl, 80)[0][-1]
   sock = socket.socket()
   sock.connect(addr)
   sock.send(b"GET /HTTP/1.0\r\n\r\n")
   data = sock.recv(100)
   print (str(data, "utf8"))
   sock.close()











   

   