#------------------------------------------------------------------
#
#              		DHT11 TEMPERATURE AND HUMIDITY SENSOR
#	       		=====================================
#
# In this program a DHT11 type temperature and humidity sensor is
# conencted to port GPIO0 of the NodeMCU development board. The
# program reads the ambient temperature and humidity and displays
# on the screen. The data is displayed every 5 seconds.
#
#
# Program : 	dht11.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#------------------------------------------------------------------
import dht
from machine import Pin
import time

d = dht.DHT11(Pin(0))

while True:
   d.measure()
   t = d.temperature()
   h = d.humidity()
   print("Temperature = %fC, Humidity = %f" %(t,h)
   time.sleep(5)










   

   