#--------------------------------------------------------------
#
#              BUTTON CONTROLLED LED
#	       ======================
#
# In this program and LED is connected to port GPIO0 and a button
# is connected to port GPIO2. GPIO0 is configures as an output and
# GPIO2 is configured as an input. The LED is turned ON when the 
# button is pressed, and turned OFF when the button is relesed. Port
# GPIO is pulled high internally.
#
#
# Program : 	ledbutton.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#---------------------------------------------------------------
from machine import Pin

GPIO = 0
GPIO2 = 2
ON = 1
OFF = 0

p0 = Pin(GPIO, Pin.OUT)   			# GPIO is output
p2 = Pin(GPIO2, Pin.IN, Pin.PULL_UP)		# GPIO2 is input
p0.value(OFF)					# LED OFF

while True:
   if p2.value() == 0:				# if pulled down
       p0.value(ON)				# LED ON
   else:
       p0.value(OFF)				# LED OFF   
