#--------------------------------------------------------------------
#              			UDP PROGRAM
#	       			===========
#
# This is a MicroPython UDP program. The program sends the message
# "Hello From the Server" to a client. The IP addresses and ports
# of the server and client are:
#
#    Server IP address: 192.168.1.145  POrt: 2000
#    Client IP address: 192.168.1.132  Port: 2000
#
# The cleint sends the message "Hello From Client" 
#
#
# Program : 	udp.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#------------------------------------------------------------------
import socket

UDP = ("", 5000)
Message = "Hello From the Server"

sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind(UDP)
#
# Receive data from the client and display it
#
data,addr = sock.recvfrom(1024)
print (data)
#
# Send data to the client
#
sock.sendto(Message, addr)
#
# Close the socket
#
sock.close()














   

   