#--------------------------------------------------------------------
#              			TCP/IP PROGRAM
#	       			==============
#
# This is a MicroPython TCP/IP program. The program sends the message
# "Hello From the Server" to a client. The IP addresses and ports
# of the server and client are:
#
#    Server IP address: 192.168.1.145  POrt: 2000
#    Client IP address: 192.168.1.132  Port: 2000
#
# The cleint sends the message "Hello From Client" 
#
#
# Program : 	tcpip.py
# Date    : 	April, 2017
# Programmer: 	Dogan Ibrahim
#------------------------------------------------------------------
import socket

Message = "Hello From the Server"

sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server_address = ("192.168.1.145", 10000)
sock.bind(server_address)
sock.listen(1)
conn,cient_address = sock.accept()
#
# Receive data from the client and display it
#
data = conn.recv(1024)
print (data)

#
# Send data to the client
#
conn.sendall(Message)
#
# Close the socket
#
conn.close()














   

   